BOM
Create Bom
POST
/
api
/
v1
/
bom
Create Bom
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/bom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"styleId": "<string>",
"skuId": "<string>",
"createdById": "<string>",
"lineItems": [
{
"category": "<string>",
"grossConsumption": 123,
"nativeCurrency": "<string>",
"unit": "<string>",
"assignedMaterialOptions": [
{}
],
"description": "<string>",
"sellingTolerance": 0,
"netSellingConsumption": 123,
"buyingTolerance": 0,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 0,
"materialCostInUsd": 0,
"estimatedMaterialPreparationLeadTime": 7,
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>"
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/bom"
payload = {
"styleId": "<string>",
"skuId": "<string>",
"createdById": "<string>",
"lineItems": [
{
"category": "<string>",
"grossConsumption": 123,
"nativeCurrency": "<string>",
"unit": "<string>",
"assignedMaterialOptions": [{}],
"description": "<string>",
"sellingTolerance": 0,
"netSellingConsumption": 123,
"buyingTolerance": 0,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 0,
"materialCostInUsd": 0,
"estimatedMaterialPreparationLeadTime": 7,
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
styleId: '<string>',
skuId: '<string>',
createdById: '<string>',
lineItems: [
{
category: '<string>',
grossConsumption: 123,
nativeCurrency: '<string>',
unit: '<string>',
assignedMaterialOptions: [{}],
description: '<string>',
sellingTolerance: 0,
netSellingConsumption: 123,
buyingTolerance: 0,
netBuyingConsumption: 123,
materialCostInNativeCurrency: 0,
materialCostInUsd: 0,
estimatedMaterialPreparationLeadTime: 7,
chosenAssignedMaterialId: '<string>',
chosenAssignedSkuId: '<string>'
}
]
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/bom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"currentVersion": 123,
"versionCount": 123,
"styleId": "<string>",
"skuId": "<string>",
"style": {
"id": "<string>",
"documentId": "<string>",
"name": "<string>",
"refId": "<string>"
},
"sku": {
"id": "<string>",
"documentId": "<string>",
"color": "<string>",
"size": "<string>"
},
"finalVersion": 123,
"latestVersion": {
"id": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"changeDescription": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"submittedById": "<string>",
"approvedById": "<string>",
"rejectionReason": "<string>",
"isFinal": false,
"finalizedAt": "2023-11-07T05:31:56Z",
"finalizedById": "<string>"
},
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"submittedById": "<string>",
"approvedById": "<string>",
"versions": [
{
"id": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"changeDescription": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"submittedById": "<string>",
"approvedById": "<string>",
"rejectionReason": "<string>",
"isFinal": false,
"finalizedAt": "2023-11-07T05:31:56Z",
"finalizedById": "<string>",
"lineItems": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
],
"groupedLineItems": [
{
"category": "<string>",
"items": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
]
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create Bom
